## cdbs 0.4.125ubuntu1

=== debian/changelog ===
cdbs (0.4.125ubuntu1) utopic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - 1/rules/utils.mk.in: add some text before listing missing file to make
      it easier to see from the build log. (Debian #565771)
    - 1/class/gnome.mk.in: Call dh_translations.
    - test/testsuite_functions: Set NO_PKG_MANGLE so that tests do not fail
      with pkgstriptranslations installed. (Ubuntu-specific)
    - 1/rules/debhelper.mk.in: Call dh_scour.
    - debian/control.in: Add scour build and binary dependency (build dep for
      test suite).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 26 Jun 2014 12:00:42 +0200

cdbs (0.4.125) unstable; urgency=high

  * Fix broken syntax in python-sugar.mk. Urgency=high as this affects
    packages getting auto-removed from testing.
    Closes: bug#750300, #750271, #750277. Thanks to David Suárez.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 23 Jun 2014 02:56:02 +0200

cdbs (0.4.124) unstable; urgency=medium

  * Have perl-build.mk resolve to build-depend on libmodule-build-perl
    if not using Build::Module::Tiny (perl 5.19.0 onwards won't provide
    it).

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 23 Jun 2014 01:29:27 +0200

cdbs (0.4.123) unstable; urgency=medium

  [ Jonas Smedegaard ]
  * Fix tighten cdbs version handling to avoid merging unversioned with
    complex versioned (e.g. including arch hints or fallbacks).
  * Fix always strip cdbs_expand_allvars (bogusly resolved versioned
    build-dependency on cdbs when python_module.mk was included).
  * Resolve tightened build-dependency on cdbs when autotools hints
    include comma (see autotools version hint change below).
  * Export AUTOMATED_TESTING=1 to build environment in Perl snippets, as
    recommended by Lancaster consensus.
  * Fix debhelper snippet to call dh_systemd_* after dh_install.
    Closes: bug#715504. Thanks to Michael Stapelberg.
  * Avoid expensive shell call in buildcore.mk deprecation warning loop.
  * Normalize warnings and errors:
    + Introduce new expansion variables cdbs_info cdbs_warn
      cdbs_warn_deprecated.
    + Include version in deprecation warnings.
  * Deprecate cdbs_python_selected_pyversions: Unused since 0.4.90.
  * Drop python-support integrity check: Leave that to python-support
    itself, and to Python team to agree on coherent Policy.
    Closes: bug#545373. Thanks to Ludovico Cavedon.
  * Fix double-word typo in comment.
  * Update copyright info:
    + Extend coverage.
    + Bump licensing to GPL-3+.
  * Bump to standards-version 3.9.5.
  * Fix use canonical Vcs-Git URL.

  [ IOhannes m zmölnig ]
  * Extend autotools version hints to support range (e.g. ",1.13" for
    versions up until 1.13) and unversioned (","): The latter needed for
    recent autotools packages provided only unversioned.
    Closes: bug#725950.

  [ Vasudev Kamath ]
  * Fix testsuite to expect files below /usr/lib/python*/dist-packages
    (not implementation-specific /usr/shared/pyshared/).
    Closes: bug#735412. Thanks to Martin Pitt.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 22 May 2014 15:55:17 +0200

=== debian/control ===
Source: cdbs
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: CDBS Hackers <build-common-hackers@lists.alioth.debian.org>
Build-Depends-Indep: devscripts,
 debhelper,
 dh-buildinfo,
 realpath,
 fakeroot,
 python-dev,
 python-all-dev,
 python3-all-dev,
 ant,
 default-jdk,
 sharutils,
 lzma,
 python-scour,
 devscripts (>= 2.10.7)
Uploaders: Jonas Smedegaard <dr@jones.dk>,
 Marc Dequènes (Duck) <Duck@DuckCorp.org>,
 Rémi Thebault (RTbo) <remi.thebault@gmail.com>
Standards-Version: 3.9.5
Vcs-Git: git://amonscm.debian.org/collab-maint/cdbs.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/cdbs.git

Package: cdbs
Architecture: all
Multi-Arch: foreign
Depends: dh-translations, python-scour
Recommends: autotools-dev
Suggests: devscripts
Description: common build system for Debian packages
 This package contains the Common Debian Build System, an abstract build
 system based on Makefile inheritance which is completely extensible and
 overridable.  In other words, CDBS provides a sane set of default rules
 upon which packages can build; any or all rules may be overridden as
 needed.

## cdbs 0.4.127

=== debian/changelog ===
cdbs (0.4.127) unstable; urgency=medium

  * Fix use unversioned Python runtime for default flavor in
    python-distutils.mk and python-sugar.mk (see bug#377964).
  * Fix detect Module::Build::Tiny more aggressively in perl-build.mk.
  * Fix build MakeMaker-based Perl modules more verbosely. Introduce new
    variable DEB_MAKEMAKER_NORMAL_ARGS.
    Thanks to intrigeri.
  * Fix set LDFLAGS in perl-makemaker.mk.
  * Fix cdbs_set_nondefaultvars resolving to skip undefined variables.
  * Improve buildflags resolving in langcore.mk:
    + Drop obsolete hardcoded buildflags and variable DEB_OPT_FLAG:
      dpkg-buildflags now included with dpkg-dev even in oldstable.
    + Speedup resolving by calling dpkg-buildflags only once.
    + Fix pass only documented supported environment variables to
      dpkg-buildflags: Other DEB_* variables not safe to shell-quote.
  * Acknowledge NMU. Thanks to Felipe Sateler and Simon Ruderich.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 13 Oct 2014 15:19:50 +0200

cdbs (0.4.126+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Unbreak dpkg-buildflags call. Thanks to Simon Ruderich for the updated
    patch. Closes: bug#712729.

 -- Felipe Sateler <fsateler@debian.org>  Sat, 11 Oct 2014 01:41:44 -0300

cdbs (0.4.126) unstable; urgency=medium

  [ Jonas Smedegaard ]
  * Have debhelper.mk install CONTRIBUTORS and CREDITS as documentation
    files by default.
  * Fix preserve compiler flags set using DEB_* environment variables,
    in langcore.mk.
    Closes: bug#712729. Thanks to Simon Ruderich, Emilio Pozuelo Monfort
    and Markus.

  [ Charles Plessy ]
  * Corrected a typo in the VCS URL.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 21 Aug 2014 23:05:10 +0200

## cdbs 0.4.127ubuntu1

=== debian/changelog ===
cdbs (0.4.127ubuntu1) vivid; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - 1/rules/utils.mk.in: add some text before listing missing file to make
      it easier to see from the build log. (Debian #565771)
    - 1/class/gnome.mk.in: Call dh_translations.
    - test/testsuite_functions: Set NO_PKG_MANGLE so that tests do not fail
      with pkgstriptranslations installed. (Ubuntu-specific)
    - 1/rules/debhelper.mk.in: Call dh_scour.
    - debian/control.in: Add scour build and binary dependency (build dep for
      test suite).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 31 Oct 2014 13:58:46 +0100

## cdbs 0.4.128

=== debian/changelog ===
cdbs (0.4.128) unstable; urgency=medium

  * Fix resolve compiler flags in perl snippets:
    + Resolve perl-specific ccflags and cppflags (not only lddlflags),
      as variables cdbs_perl_ccflags cdbs_perl_cppflags
      cdbs_perl_lddlflags.
      Deprecate now unused variable cdbs_perl_makemaker_lddlflags.
    + Have perl-build-vars.mk snippet apply as lddlflags (not ldflags).
    + Have perl-build-vars.mk snippet include langcore.mk to properly
      resolve default compiler flags.
    + Apply perl-specific compiler flags in all perl snippets (not only
      perl-makemaker.mk).
    + Append (not prepend) perl-specific compiler flags to default (or
      locally overridden) compiler flags.
    Closes: bug#770767. Thanks to Niko Tyni.
  * Fix support control fields case-insensitively.
    Closes: bug#772429. Thanks to Guillem Jover.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 06 Mar 2015 03:53:47 +0100

## cdbs 0.4.129

=== debian/changelog ===
cdbs (0.4.129) unstable; urgency=medium

  * Fix quoting of compiler flags in perl-makemaker-vars.mk.
    Closes: bug#780592.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 16 Mar 2015 14:14:37 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: cdbs
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: CDBS Hackers <build-common-hackers@lists.alioth.debian.org>
+Maintainer: CDBS Hackers <build-common-hackers@lists.alioth.debian.org>
 Build-Depends-Indep: devscripts,
  debhelper,
  dh-buildinfo,
@@ -15,19 +14,17 @@
  default-jdk,
  sharutils,
  lzma,
- python-scour,
  devscripts (>= 2.10.7)
 Uploaders: Jonas Smedegaard <dr@jones.dk>,
  Marc Dequènes (Duck) <Duck@DuckCorp.org>,
  Rémi Thebault (RTbo) <remi.thebault@gmail.com>
 Standards-Version: 3.9.5
-Vcs-Git: git://amonscm.debian.org/collab-maint/cdbs.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/cdbs.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/cdbs.git
 
 Package: cdbs
 Architecture: all
 Multi-Arch: foreign
-Depends: dh-translations, python-scour
 Recommends: autotools-dev
 Suggests: devscripts
 Description: common build system for Debian packages

## cdbs 0.4.130

=== debian/changelog ===
cdbs (0.4.130) unstable; urgency=medium

  * Fix quoting of compiler flags in perlmodule-vars.mk.
    Closes: bug#781076. Thanks to Niko Tyni.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 28 Mar 2015 15:20:37 +0100

=== test/debian/control ===
Source: cdbs-testsuite
Section: devel
Priority: optional
Maintainer: Jeff Bailey <jbailey@debian.org>
Standards-Version: 3.5.10

Package: cdbs-testsuite
Architecture: any
Description: common build system test suite
 This package is part of the testsuite for the CDBS build system.  If you've 
 managed to install this, something has gone horribly wrong.

## cdbs 0.4.130ubuntu2

=== debian/changelog ===
cdbs (0.4.130ubuntu2) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 Jul 2015 04:50:49 +0000

cdbs (0.4.130ubuntu1) wily; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - 1/rules/utils.mk.in: add some text before listing missing file to make
      it easier to see from the build log. (Debian #565771)
    - 1/class/gnome.mk.in: Call dh_translations.
    - test/testsuite_functions: Set NO_PKG_MANGLE so that tests do not fail
      with pkgstriptranslations installed. (Ubuntu-specific)
    - 1/rules/debhelper.mk.in: Call dh_scour.
    - debian/control.in: Add scour build and binary dependency (build dep for
      test suite).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 07 May 2015 13:10:26 +0200

=== test/debian/changelog ===
cdbs-testsuite (0.1) unstable; urgency=low

  * This is a dummy changelog file.

 -- Jeff Bailey <jbailey@debian.org>  Fri,  6 Jun 2003 16:27:27 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: cdbs
 Section: devel
 Priority: optional
-Maintainer: CDBS Hackers <build-common-hackers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: CDBS Hackers <build-common-hackers@lists.alioth.debian.org>
 Build-Depends-Indep: devscripts,
  debhelper,
  dh-buildinfo,
@@ -14,6 +15,7 @@
  default-jdk,
  sharutils,
  lzma,
+ python-scour,
  devscripts (>= 2.10.7)
 Uploaders: Jonas Smedegaard <dr@jones.dk>,
  Marc Dequènes (Duck) <Duck@DuckCorp.org>,
@@ -25,6 +27,7 @@
 Package: cdbs
 Architecture: all
 Multi-Arch: foreign
+Depends: dh-translations, python-scour
 Recommends: autotools-dev
 Suggests: devscripts
 Description: common build system for Debian packages

=== test/hdparm/debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2003 Jeff Bailey <jbailey@debian.org>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include debian/testsuite.mk
include $(_cdbs_package_root_dir)/1/rules/debhelper.mk
include $(_cdbs_package_root_dir)/1/class/makefile.mk

DEB_MAKE_INSTALL_TARGET := install DESTDIR=$(CURDIR)/debian/tmp

common-install-prehook-arch::
	install -d $(CURDIR)/debian/tmp/sbin

## cdbs 0.4.130+deb8u1

=== debian/changelog ===
cdbs (0.4.130+deb8u1) jessie-security; urgency=high

  * Non-maintainer upload.
  * Invoke Makefile.PL and Build.PL with perl -I. as part of the fixes
    for CVE-2016-1238

 -- Dominic Hargreaves <dom@earth.li>  Mon, 25 Jul 2016 09:34:18 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2002, 2003 Colin Walters <walters@debian.org>
# Copyright © 2003, 2008-2014 Jonas Smedegaard <dr@jones.dk>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 3, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

# cdbs uses itself to build itself.
_cdbs_rules_path = 1/rules
_cdbs_class_path = 1/class
_cdbs_scripts_path = scripts
_cdbs_makefile_suffix = .in

include 1/rules/utils.mk.in
include 1/rules/debhelper.mk.in
include 1/class/autotools.mk.in

# Suppress build-dependency on ourselves
CDBS_BUILD_DEPENDS_rules_buildvars =

# We use autotools too modern for default CDBS
DEB_CONFIGURE_LIBEXECDIR = /usr/lib

DEB_MAKE_CHECK_TARGET = check

# Unset these variables so config.guess/config.sub in the test suite are
# not replaced (because the test suite is supposed to test the replacing
# later).
config_guess =
config_sub =

## cdbs 0.4.142

=== debian/changelog ===
cdbs (0.4.142) unstable; urgency=medium

  * Fix pd.mk to use find option -exec (not -execdir) when passing
    relative paths.
    Closes: Bug#827619. Thanks to Felipe Sateler.
  * Fix upstream-tarball.mk failure to download tarball to new dir
    (unbalanced quoting).
  * Move packaging to build-common team: Update Vcs-* fields.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 19 Jun 2016 11:52:53 +0200

cdbs (0.4.141) unstable; urgency=medium

  * Fix python-sugar.mk PYTHON_SUGAR_PACKAGES default value.
    Closes: Bug#825765.
  * Fix deprecation notes for changelog section 0.4.140.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 18 Jun 2016 10:26:42 +0200

cdbs (0.4.140) unstable; urgency=medium

  * Refactor python snippets:
    + Expand implementations from lists.
    + Handle flavors (not versions).
    + Check actual need for build-dependencies in cdbs_python_builddeps
      (not before).
    + Drop support for legacy systems pysupport and pycentral.
    + Expand packaging systems from list.
  * Introduce new variable:
    + cdbs_python_flavors
  * Introduce new per-implementation variable:
    + cdbs_$python_mainflavor
  * Deprecate variables:
    + cdbs_curpythonstem
    + cdbs_python3_current_binary
    + cdbs_python3_current_version
    + cdbs_python3_supported_versions
    + cdbs_python_build_versions
    + cdbs_python_current_binary
    + cdbs_python_current_version
    + cdbs_python_supported_versions
  * Drop unused variables:
    + DEB_PYTHON_MODULE_PACKAGE (deprecated since 0.4.54)
    + DEB_PYTHON_MODULE_PACKAGES
    + DEB_PYTHON_SYSTEM
    + cdbs_curpythonbuildversions
    + cdbs_python3_first_supported_version
    + cdbs_python3_nondefault_version
    + cdbs_python3_primary_version
    + cdbs_python_builddeps_legacy
    + cdbs_python_first_supported_version
    + cdbs_python_legacy_packages
    + cdbs_python_legacy_system
    + cdbs_python_nondefault_version
    + cdbs_python_packages_pre
    + cdbs_python_pkg_check
    + cdbs_python_pkgresolve_check
    + cdbs_python_primary_version
    + cdbs_python_selected_pyversions (deprecated since 0.4.90)
    + cdbs_python_stem
    + cdbs_pythonsystem_pycentral
    + cdbs_pythonsystem_pysupport
    + cdbs_pythonsystem_python3
  * Drop unused per-flavor variables:
    + python_*_packages
  * Drop unused make targets:
    + python-build-stamp-%
    + python-clean-%
    + python-install-%
    + python-install-py
  * Fix set LC_ALL=C.UTF-8 for licensecheck.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 15 Jun 2016 20:57:30 +0200

cdbs (0.4.139) unstable; urgency=medium

  [ IOhannes m zmölnig ]
  * Only touch make-check-stamp file when running 'make check'.
    Closes: #825135. Thanks to Michael Biebl.

  [ Jonas Smedegaard ]
  * Emit testsuite errors, and don't fail on experimental builds.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 09 Jun 2016 21:16:59 +0200

cdbs (0.4.138) unstable; urgency=medium

  [ Jonas Smedegaard ]
  * Fix python-module.mk build-dependency resolving for python3
    (regression since 0.4.131).
  * Fix python-distutils.mk build-dependency resolving stray parenthesis
    (regression since 0.4.131).

  [ Jonas Smedegaard ]
  * Fix cdbs_expand_python_distutils_installdir version reference in
    deprecation warning.
  * Improve copyright-check:
    + Support many more extensions in license-miner.
    + Extract many more keywords in license-miner.
  * Fix bump compat level for hdparm test.
  * Rewrite testsuite using autotest.
  * Add project hints to autotools.
  * Add autogen.sh script.
  * Update autotools (with autogen.sh).
  * Regenerate configure script during build (for up-to-date version
    info in testsuite).
    Build-depend on autoconf.
    Closes: Bug#576808. Thanks to Anders Kaseorg.

  [ IOhannes m zmölnig ]
  * Fix buildcore.mk to only backup existing autotools-files.
    Closes: #825109, #825370, #825411. Thanks to Niko Tyni and Chris
    Lamb.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 09 Jun 2016 16:27:53 +0200

cdbs (0.4.137) unstable; urgency=medium

  * Fix preserve explicitly added space delimiter in cdbs_expand_curvar.
    Closes: Bug#824831. Thanks to Emilio Pozuelo Monfort.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 20 May 2016 14:12:13 +0200

cdbs (0.4.136) unstable; urgency=medium

  * Fix typo in perl-makemaker.mk.
    Closes: Bug#824689. Thanks to Niko Tyni.
  * Improve buildvars.mk: Add variable DEB_SUITE.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 18 May 2016 21:33:36 +0200

cdbs (0.4.135) unstable; urgency=medium

  * Fix resolve variable DEB_SOURCE_PACKAGE (broken since 0.4.131).

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 18 May 2016 05:01:08 +0200

cdbs (0.4.134) unstable; urgency=medium

  * Fix gnome.mk cleanup (typo since 0.4.132).
    Closes: Bug#824585. Thanks to Chris Lamb and Michael Biebl.
  * Update copyright info: Merge Files sections with identical license.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 18 May 2016 01:27:14 +0200

cdbs (0.4.133) unstable; urgency=medium

  * Update copyright info:
    + Fix add a missing trailing colon.
    + Extend copyright for main author to cover recent years.
    + Fix add missed copyright holder.
  * Misc. code cleanup.
    + Fix add delimiting commas to resolved build-dependencies.
    + Use make instead of shell at more places.
    + Drop variables:
      cdbs_autotools_invoke
      deb_*flags (CDBS-labelled compiler flags)
      DEB_COPYRIGHT_CHECK_ARGS
      DEB_COPYRIGHT_CHECK_INVOKE
      DEB_COPYRIGHT_CHECK_PARSELINES
      DEB_COPYRIGHT_CHECK_REGEX
      DEB_COPYRIGHT_CHECK_SCRIPT
      DEB_COPYRIGHT_EXTRACT_SUFFIX
      DEB_UPSTREAM_CRUFT_BACKUPDIR
      DEB_WARNING_FLAGS
    + Deprecate variable DEB_COPYRIGHT_CHECK_IGNORE_REGEX.
    + Introduce new variables:
      newline
      DEB_AUTOCONF_ARGS DEB_AUTOPOINT_ARGS
      DEB_AUTOHEADER_ARGS
      DEB_AUTO_UPDATE_AUTOPOINT
    + Fix expansion variables cdbs_expand_nondefaultvar
      cdbs_set_nondefaultvars.
    + Fix and simplify compiler flags.


=== debian/control ===
Source: cdbs
Section: devel
Priority: optional
Maintainer: CDBS Hackers <build-common-hackers@lists.alioth.debian.org>
Build-Depends-Indep: devscripts,
 debhelper,
 dh-buildinfo,
 autoconf,
 realpath,
 fakeroot,
 python-dev,
 python-all-dev,
 python3-all-dev,
 ant,
 default-jdk-headless | default-jdk,
 sharutils,
 lzma,
 devscripts
Uploaders: Jonas Smedegaard <dr@jones.dk>,
 Marc Dequènes (Duck) <Duck@DuckCorp.org>,
 Rémi Thebault (RTbo) <remi.thebault@gmail.com>,
 Vasudev Kamath <kamathvasudev@gmail.com>
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/build-common/cdbs.git
Vcs-Browser: https://anonscm.debian.org/cgit/build-common/cdbs.git

Package: cdbs
Architecture: all
Multi-Arch: foreign
Recommends: autotools-dev
Suggests: devscripts
Description: common build system for Debian packages
 This package contains the Common Debian Build System, an abstract build
 system based on Makefile inheritance which is completely extensible and
 overridable.  In other words, CDBS provides a sane set of default rules
 upon which packages can build; any or all rules may be overridden as
 needed.

## cdbs 0.4.142ubuntu1

=== debian/changelog ===
cdbs (0.4.142ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - 1/rules/utils.mk.in: add some text before listing missing file to make
      it easier to see from the build log. (Debian #565771)
    - 1/class/gnome.mk.in: Call dh_translations.
    - 1/rules/debhelper.mk.in: Call dh_scour.
    - debian/control.in: Add scour build and binary dependency (build dep for
      test suite).

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 20 Jun 2016 14:48:00 -0700

cdbs (0.4.139ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - 1/rules/utils.mk.in: add some text before listing missing file to make
      it easier to see from the build log. (Debian #565771)
    - 1/class/gnome.mk.in: Call dh_translations.
    - 1/rules/debhelper.mk.in: Call dh_scour.
    - debian/control.in: Add scour build and binary dependency (build dep for
      test suite).
  * Dropped changes, no longer required:
    - test/testsuite_functions: Set NO_PKG_MANGLE so that tests do not fail
      with pkgstriptranslations installed.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 10 Jun 2016 21:01:07 -0700

cdbs (0.4.137ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - 1/rules/utils.mk.in: add some text before listing missing file to make
      it easier to see from the build log. (Debian #565771)
    - 1/class/gnome.mk.in: Call dh_translations.
    - test/testsuite_functions: Set NO_PKG_MANGLE so that tests do not fail
      with pkgstriptranslations installed. (Ubuntu-specific)
    - 1/rules/debhelper.mk.in: Call dh_scour.
    - debian/control.in: Add scour build and binary dependency (build dep for
      test suite).

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 20 May 2016 16:39:16 -0700

cdbs (0.4.135ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - 1/rules/utils.mk.in: add some text before listing missing file to make
      it easier to see from the build log. (Debian #565771)
    - 1/class/gnome.mk.in: Call dh_translations.
    - test/testsuite_functions: Set NO_PKG_MANGLE so that tests do not fail
      with pkgstriptranslations installed. (Ubuntu-specific)
    - 1/rules/debhelper.mk.in: Call dh_scour.
    - debian/control.in: Add scour build and binary dependency (build dep for
      test suite).

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 18 May 2016 14:56:31 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: cdbs
 Section: devel
 Priority: optional
-Maintainer: CDBS Hackers <build-common-hackers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: CDBS Hackers <build-common-hackers@lists.alioth.debian.org>
 Build-Depends-Indep: devscripts,
  debhelper,
  dh-buildinfo,
@@ -15,6 +16,7 @@
  default-jdk-headless | default-jdk,
  sharutils,
  lzma,
+ python-scour,
  devscripts
 Uploaders: Jonas Smedegaard <dr@jones.dk>,
  Marc Dequènes (Duck) <Duck@DuckCorp.org>,
@@ -27,6 +29,7 @@
 Package: cdbs
 Architecture: all
 Multi-Arch: foreign
+Depends: dh-translations, python-scour
 Recommends: autotools-dev
 Suggests: devscripts
 Description: common build system for Debian packages

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2002, 2003 Colin Walters <walters@debian.org>
# Copyright © 2003, 2008-2016 Jonas Smedegaard <dr@jones.dk>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

# cdbs uses itself to build itself.
_cdbs_rules_path = 1/rules
_cdbs_class_path = 1/class
_cdbs_scripts_path = scripts
_cdbs_makefile_suffix = .in

DEB_AUTO_UPDATE_AUTOCONF = ,
include 1/rules/utils.mk.in
include 1/rules/debhelper.mk.in
include 1/class/autotools.mk.in

# Suppress build-dependency on ourselves
CDBS_BUILD_DEPENDS_class_autotools_vars_comma =
CDBS_BUILD_DEPENDS_rules_buildvars =
CDBS_BUILD_DEPENDS_rules_utils_upstream_cruft =

DEB_COPYRIGHT_CHECK_MERGE_SAME_LICENSE = yes

# We use autotools too modern for default CDBS
DEB_CONFIGURE_LIBEXECDIR = /usr/lib

# emit testsuite errors, and don't fail on experimental builds
DEB_SUITE_EXP = $(filter experimental% UNRELEASED,$(DEB_SUITE))
DEB_MAKE_CHECK_TARGET = check \
 || { cat test/test-suite.log; $(if $(DEB_SUITE_EXP),,false;) }

# Unset these variables so config.guess/config.sub in the test suite are
# not replaced (because the test suite is supposed to test the replacing
# later).
config_guess =
config_sub =

# preserve (and force regenerate) upstream-shipped autotools files
DEB_UPSTREAM_CRUFT_MOVE = configure tests/testsuite

## cdbs 0.4.150

=== debian/changelog ===
cdbs (0.4.150) unstable; urgency=medium

  * Fix python-autotools.mk:
    + Fix use bare numbers in python-autotools.mk for python2/python3.
    + Fix python-vars.mk resolving cdbs_expand_pythonruntime for
      arch-dependent packages and implicit (i.e. single) flavor.
    + Fix python-vars.mk resolve python implementation in single-system
      mode (i.e. using python-autotools.mk).
    + Fix python-vars.mk variable cdbs_expand_pythonruntime support for
      omitting package name (i.e. favor explicitly provided python
      flavor or falling back to implicit single pythonflavor).
    + Fix python-autotools.mk to not bogusly involve cdbs_curpkg in
      resolving python runtime (autotools targets are not not tied to
      target binary package).
    Closes: Bug#837006. Thanks to Vasudev Kamath, Héctor Orón, and all
    the people filing, reassigning and merging the numerous bugreports.
  * Improve python-autotools.mk: Add variable cdbs_make_pythonflavors to
    ease overriding DEB_MAKE_FLAVORS.
  * Drop obsolete variable cdbs_python_single_system.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 14 Nov 2016 04:37:06 +0100

cdbs (0.4.149) unstable; urgency=medium

  * Improve python-vars.mksnippet:
    + Fix resolve default python runtimes.
    + Fix _cdbs_expand_pythonflavor2python.
    + Improve error messages to mention involved packages.
    Possibly closes (but let's check first) bug#837006.
  * Fix scons.mk snippet.
    Closes: Bug#826672. Thanks to Chris Lamb and Adrian Bunk.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 12 Nov 2016 21:39:38 +0100

cdbs (0.4.148) unstable; urgency=medium

  * Fix license-miner.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 16 Sep 2016 10:40:37 +0200

cdbs (0.4.147) unstable; urgency=medium

  * Fix strip parser prefix in license-miner.
  * Simplify regexes (avoid look-behind) in license-miner.
  * Fix use of DEB_COPYRIGHT_EXTRACT_PATHS_EXIF
    DEB_COPYRIGHT_EXTRACT_PATHS_TTF in utils.mk.
    Tighten auto-resolved dependency on cdbs when used.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 15 Sep 2016 18:53:13 +0200

cdbs (0.4.146) unstable; urgency=medium

  * Support build profiles.
    Closes: Bug#772788. Thanks to Johannes Schauer.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 07 Sep 2016 17:45:19 +0200

cdbs (0.4.145) unstable; urgency=medium

  * Fix resolve deprecated variables cdbs_curpythonindepbinary
    cdbs_curpythonpribinary: Add python2 runtime as fallback.
    Closes: Bug#830529. Thanks to Jeremy Bicha.
  * Fix resolve default python runtimes internally (affecting deprecated
    variables cdbs_python_current_binary cdbs_python3_current_binary
    cdbs_curpythonindepbinary cdbs_curpythonpribinary).
  * Fix resolve installpath for flavored arch-indep python-distutils
    builds.
  * Introduce new variables:
    + cdbs_$python_allflavors
    + cdbs_$python_defaultflavor
    + cdbs_$python_defaultruntime
    + cdbs_curpythondefaultflavor

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 06 Sep 2016 17:52:42 +0200

cdbs (0.4.144) unstable; urgency=medium

  [ Vasudev Kamath ]
  * Support building python modules for pypy

  [ Jonas Smedegaard ]
  * Fix really make path to licensecheck configurable.
  * Refactor python snippets:
    + Handle runtimes separate from flavors.
  * Introduce new variables:
    + cdbs_curpythonruntime
    + cdbs_expand_pythonruntime
  * Deprecate variables:
    + cdbs_curpythonindepbinary
    + cdbs_curpythonpribinary
    + cdbs_python_binary
  * Drop unused variables:
    + DEB_DH_INSTALL_MENU_ARGS
    + DEB_DH_INSTALLDEBCONF_ARGS
    + DEB_DH_INSTALLCATALOGS_ARGS
    + DEB_DH_INSTALLLOGROTATE_ARGS
    + DEB_DH_INSTALLDEB_ARGS
    + DEB_DH_LINTIAN_ARGS
  * Update copyright info:
    + Cover newly added pypy tests.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 05 Sep 2016 17:17:12 +0200

cdbs (0.4.143) unstable; urgency=medium

  * Have utils.mk resolve build-dependency on licensecheck (not
    devscripts).
  * Fix have license-miner emit UTF-8.
  * Improve copyright-check:
    + Scan whole files (not only top and bottom, and not only until
      first cluster of copyrights).
    + Revert to not force-decode as utf8.
    + Fix re-add comma between year range and owners (dropped in recent
      licensecheck) for some corner cases.
    + Use licensecheck --deb-fmt (and adapt cleanup).
    + Fix skip gracefully if licensecheck unavailable or too old.
      Closes: Bug#831263. Thanks to Lucas Nussbaum.
    + Make path to licensecheck configurable.
  * Fix have perl snippets include current dir during configure call.
    Closes: Bug#833783 (CVE-2016-1238). Thanks to Dominic Hargreaves.
  * Suppress build-dependency on licensecheck to ease backporting and
    arch bootstrapping.
  * Stop build-depend on devscripts.
  * Modernize debhelper usage: Avoid deprecated --same-arch option.
    Closes: Bug#835077. Thanks to Rafael Laboissière.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 22 Aug 2016 11:37:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,8 @@
 Source: cdbs
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: CDBS Hackers <build-common-hackers@lists.alioth.debian.org>
-Build-Depends-Indep: devscripts,
- debhelper,
+Maintainer: CDBS Hackers <build-common-hackers@lists.alioth.debian.org>
+Build-Depends-Indep: debhelper,
  dh-buildinfo,
  autoconf,
  realpath,
@@ -12,12 +10,12 @@
  python-dev,
  python-all-dev,
  python3-all-dev,
+ pypy-dev,
+ dh-python,
  ant,
  default-jdk-headless | default-jdk,
  sharutils,
- lzma,
- python-scour,
- devscripts
+ lzma
 Uploaders: Jonas Smedegaard <dr@jones.dk>,
  Marc Dequènes (Duck) <Duck@DuckCorp.org>,
  Rémi Thebault (RTbo) <remi.thebault@gmail.com>,
@@ -29,7 +27,6 @@
 Package: cdbs
 Architecture: all
 Multi-Arch: foreign
-Depends: dh-translations, python-scour
 Recommends: autotools-dev
 Suggests: devscripts
 Description: common build system for Debian packages

=== debian/rules ===
--- 
+++ 
@@ -32,6 +32,9 @@
 CDBS_BUILD_DEPENDS_rules_buildvars =
 CDBS_BUILD_DEPENDS_rules_utils_upstream_cruft =
 
+# Suppress build-dependency on licensecheck to ease backports + arch bootstrap
+CDBS_BUILD_DEPENDS_rules_utils_copyright-check =
+
 DEB_COPYRIGHT_CHECK_MERGE_SAME_LICENSE = yes
 
 # We use autotools too modern for default CDBS

## cdbs 0.4.150ubuntu1

=== debian/changelog ===
cdbs (0.4.150ubuntu1) zesty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - 1/rules/utils.mk.in: add some text before listing missing file to make
      it easier to see from the build log. (Debian #565771)
    - 1/class/gnome.mk.in: Call dh_translations.
    - 1/rules/debhelper.mk.in: Call dh_scour.
    - debian/control.in: Add scour build and binary dependency (build dep for
      test suite).

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 16 Nov 2016 13:07:11 -0800

cdbs (0.4.148ubuntu1) zesty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - 1/rules/utils.mk.in: add some text before listing missing file to make
      it easier to see from the build log. (Debian #565771)
    - 1/class/gnome.mk.in: Call dh_translations.
    - 1/rules/debhelper.mk.in: Call dh_scour.
    - debian/control.in: Add scour build and binary dependency (build dep for
      test suite).

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 20 Oct 2016 23:03:17 -0700

## cdbs 0.4.151ubuntu2

=== debian/changelog ===
cdbs (0.4.151ubuntu2) artful; urgency=medium

  * No change rebuild to add Python 3.6 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 07 Jun 2017 15:13:55 -0700

cdbs (0.4.151ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - 1/rules/utils.mk.in: add some text before listing missing file to make
      it easier to see from the build log. (Debian #565771)
    - 1/class/gnome.mk.in: Call dh_translations.
    - 1/rules/debhelper.mk.in: Call dh_scour.
    - debian/control.in: Add scour build and binary dependency (build dep for
      test suite).

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 01 Jun 2017 13:15:17 -0700

cdbs (0.4.151) unstable; urgency=medium

  * Simplify perl mangling in langcore.mk.
  * Improve copyright-check: Support extension icm.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 01 Jun 2017 09:51:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: cdbs
 Section: devel
 Priority: optional
-Maintainer: CDBS Hackers <build-common-hackers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: CDBS Hackers <build-common-hackers@lists.alioth.debian.org>
 Build-Depends-Indep: debhelper,
  dh-buildinfo,
  autoconf,
@@ -15,7 +16,8 @@
  ant,
  default-jdk-headless | default-jdk,
  sharutils,
- lzma
+ lzma,
+ python-scour,
 Uploaders: Jonas Smedegaard <dr@jones.dk>,
  Marc Dequènes (Duck) <Duck@DuckCorp.org>,
  Rémi Thebault (RTbo) <remi.thebault@gmail.com>,
@@ -27,6 +29,7 @@
 Package: cdbs
 Architecture: all
 Multi-Arch: foreign
+Depends: dh-translations, python-scour
 Recommends: autotools-dev
 Suggests: devscripts
 Description: common build system for Debian packages

## cdbs 0.4.156

=== debian/changelog ===
cdbs (0.4.156) unstable; urgency=medium

  * Really fix conditionally set crossbuild compiler.
    Closes: Bug#841761. Thanks (again) to Helmut Grohne.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 16 Oct 2017 21:25:50 +0200

cdbs (0.4.155) unstable; urgency=medium

  * Fix conditionally set crossbuild compiler.
    Closes: Bug#841761. Thanks to Helmut Grohne.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 14 Oct 2017 19:26:51 +0200

cdbs (0.4.154) unstable; urgency=high

  * Fix have DEB_UPSTREAM_VERSION really only be _upstream_ version
    (broken since 0.4.153.
    Closes: Bug#878510. Thanks to Emmanuel Bourg.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 14 Oct 2017 12:27:04 +0200

cdbs (0.4.153) unstable; urgency=medium

  * Improve cross compilation cmake and makefile classes:
    + cmake.mk: Fix set DEB_BUILDDIR using DEB_HOST_GNU_TYPE (not
      DEB_BUILD_GNU_TYPE).
    + cmake.mk: Introduce new variable DEB_CMAKE_CROSS_ARGS.
    + langcore.mk: Set CC CXX to host-specific binaries when
      cross-building (and gcc/g++ if not).
    + makefile-vars.mk: Set CXX PKG_CONFIG (not only CC), and rely on
      langcore.mk for those.
    + Tidy buildvars.mk: Drop bogus note on cross-building hints
      becoming superfluous at some pont in time.
    + buildvars.mk: Include /usr/share/dpkg/architecture.mk and
      /usr/share/dpkg/pkg-info.mk.
    Thanks to Helmut Grohne (see bug#841761).
  * Modernize resolving variables from changelog: Recent enough
    dpkg-parsechangelog available even in oldstable.
  * Improve copyright-check: Support extension woff2.
  * Stop build-depend on realpath: Unneeded since 0.4.138.
    Closes: Bug#877719. Thanks to James Cowgill.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 04 Oct 2017 22:43:06 +0200

cdbs (0.4.152) unstable; urgency=medium

  * Fix pass -I. to perl (not bogusly to the called Build-PL script).
    Closes: bug#865563. Thanks to Niko Tyni and others.
  * Stop resolve versioned build-dependencies on cdbs older than
    0.4.130: Satisfied even in oldstable.
  * Bump debhelper compatibility level to 9.
  * Declare compliance with Debian Policy 4.0.0.
  * Update copyright info:
    + Extend copyright of packaging to cover current year.
    + Use https protocol in format string.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 27 Jun 2017 02:54:32 +0200

=== debian/control ===
Source: cdbs
Section: devel
Priority: optional
Maintainer: CDBS Hackers <build-common-hackers@lists.alioth.debian.org>
Build-Depends-Indep: debhelper,
 dh-buildinfo,
 autoconf,
 fakeroot,
 python-dev,
 python-all-dev,
 python3-all-dev,
 pypy-dev,
 dh-python,
 ant,
 default-jdk-headless | default-jdk,
 sharutils,
 lzma
Uploaders: Jonas Smedegaard <dr@jones.dk>,
 Marc Dequènes (Duck) <Duck@DuckCorp.org>,
 Rémi Thebault (RTbo) <remi.thebault@gmail.com>,
 Vasudev Kamath <kamathvasudev@gmail.com>
Standards-Version: 4.1.1
Vcs-Git: https://anonscm.debian.org/git/build-common/cdbs.git
Vcs-Browser: https://anonscm.debian.org/git/build-common/cdbs.git

Package: cdbs
Architecture: all
Multi-Arch: foreign
Recommends: autotools-dev
Suggests: devscripts
Description: common build system for Debian packages
 This package contains the Common Debian Build System, an abstract build
 system based on Makefile inheritance which is completely extensible and
 overridable.  In other words, CDBS provides a sane set of default rules
 upon which packages can build; any or all rules may be overridden as
 needed.

## cdbs 0.4.156ubuntu1

=== debian/changelog ===
cdbs (0.4.156ubuntu1) bionic; urgency=medium

  * Sync with Debian. Remaining changes:
    - 1/class/gnome.mk.in: Call dh_translations.
    - 1/rules/debhelper.mk.in: Call dh_scour.
    - debian/control: Depend on dh_translations and python3-scour
  * Dropped change, no longer needed since cdbs uses dh_install / dh_missing:
    - 1/rules/utils.mk.in: add some text before listing missing file to make
      it easier to see from the build log. (Debian #565771)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 24 Dec 2017 21:27:25 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: cdbs
 Section: devel
 Priority: optional
-Maintainer: CDBS Hackers <build-common-hackers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: CDBS Hackers <build-common-hackers@lists.alioth.debian.org>
 Build-Depends-Indep: debhelper,
  dh-buildinfo,
  autoconf,
@@ -9,6 +10,8 @@
  python-dev,
  python-all-dev,
  python3-all-dev,
+# Only needed for PPAs now since cdbs isn't in main in 18.04+
+# python3-scour <!nocheck>,
  pypy-dev,
  dh-python,
  ant,
@@ -26,6 +29,7 @@
 Package: cdbs
 Architecture: all
 Multi-Arch: foreign
+Depends: dh-translations, python3-scour
 Recommends: autotools-dev
 Suggests: devscripts
 Description: common build system for Debian packages

## cdbs 0.4.156ubuntu2

=== debian/changelog ===
cdbs (0.4.156ubuntu2) bionic; urgency=medium

  * Build-Depend on python3-scour for build tests. Although it's not needed
    in Ubuntu proper since scour only automatically runs for packages in
    'main', the build dependency is needed to build cdbs in a PPA.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 24 Dec 2017 22:01:12 -0500

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,7 @@
  python-dev,
  python-all-dev,
  python3-all-dev,
-# Only needed for PPAs now since cdbs isn't in main in 18.04+
-# python3-scour <!nocheck>,
+ python3-scour <!nocheck>,
  pypy-dev,
  dh-python,
  ant,

## cdbs 0.4.156ubuntu4

=== tests/data/hdparm/Makefile ===
# Makefile for hdparm

# DESTDIR is for non root installs (eg packages, NFS) only!
DESTDIR =

binprefix = /
manprefix = /usr
exec_prefix = $(binprefix)
sbindir = $(exec_prefix)/sbin
mandir = $(manprefix)/share/man
oldmandir = $(manprefix)/man

CC = gcc
CFLAGS := -O2 -W -Wall -Wbad-function-cast -Wcast-align -Wpointer-arith -Wcast-qual -Wshadow -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -fkeep-inline-functions -Wwrite-strings -Waggregate-return -Wnested-externs -Wtrigraphs $(CFLAGS)


LDFLAGS = -s
INSTALL = install
INSTALL_DATA = $(INSTALL) -m 644
INSTALL_PROGRAM = $(INSTALL)

all: hdparm

hdparm: 
	echo "Dummy test file." > $@

install: all
	if [ -f $(DESTDIR)$(sbindir)/hdparm ]; then rm -f $(DESTDIR)$(sbindir)/hdparm ; fi 
	if [ -f $(DESTDIR)$(mandir)/man8/hdparm.8 ]; then rm -f $(DESTDIR)$(mandir)/man8/hdparm.8 ;\
	elif [ -f $(DESTDIR)$(oldmandir)/man8/hdparm.8 ]; then rm -f $(DESTDIR)$(oldmandir)/man8/hdparm.8 ; fi
	$(INSTALL_PROGRAM) hdparm $(DESTDIR)$(sbindir)/hdparm

clean:
	rm -f hdparm *.o core

=== debian/changelog ===
cdbs (0.4.156ubuntu4) bionic; urgency=medium

  * Switch to (build-)depend on scour from python3-scour properly, even in
    debian/control.in

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 29 Jan 2018 05:58:09 +0100

cdbs (0.4.156ubuntu3) bionic; urgency=medium

  * Switch (build-)dependency on python3-scour to on scour which package
    contains dh_scour from now on (since scour 0.36-2).

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 29 Jan 2018 05:41:06 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  python-dev,
  python-all-dev,
  python3-all-dev,
- python3-scour <!nocheck>,
+ scour <!nocheck>,
  pypy-dev,
  dh-python,
  ant,
@@ -28,7 +28,7 @@
 Package: cdbs
 Architecture: all
 Multi-Arch: foreign
-Depends: dh-translations, python3-scour
+Depends: dh-translations, scour
 Recommends: autotools-dev
 Suggests: devscripts
 Description: common build system for Debian packages

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
 # Copyright © 2002, 2003 Colin Walters <walters@debian.org>
-# Copyright © 2003, 2008-2016 Jonas Smedegaard <dr@jones.dk>
+# Copyright © 2003, 2008-2017 Jonas Smedegaard <dr@jones.dk>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -28,9 +28,7 @@
 include 1/class/autotools.mk.in
 
 # Suppress build-dependency on ourselves
-CDBS_BUILD_DEPENDS_class_autotools_vars_comma =
 CDBS_BUILD_DEPENDS_rules_buildvars =
-CDBS_BUILD_DEPENDS_rules_utils_upstream_cruft =
 
 # Suppress build-dependency on licensecheck to ease backports + arch bootstrap
 CDBS_BUILD_DEPENDS_rules_utils_copyright-check =

## cdbs 0.4.158

=== debian/changelog ===
cdbs (0.4.158) unstable; urgency=medium

  * Fix update Maintainer address.
    Really closes: Bug##899919. Thanks to Christoph Biedl.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 23 Sep 2018 14:17:02 +0200

cdbs (0.4.157) unstable; urgency=medium

  * Fix avoid relying on APT internals:
    Use build-rdeps in maintainer test script pbuilder-all.sh.
    Closes: Bug#874769. Thanks to Julian Andres Klode.
  * Tidy maintainer test script pbuilder-all.sh:
    + Quote a variable.
    + Use subshell to avoid having to cd back.
    + Thanks to shellcheck.
  * Update autotool (with autogen.sh).
  * Add maintainer script copyright-check to source package.
  * Update copyright info: Extend coverage of autotools files.
  * Have wrapper script licensecheck2dep5 use https protocol in file
    format URL.
  * Update Vcs-* fields: Source moved to Salsa.
    Closes: Bug#899919. Thanks to Christoph Biedl.
  * Set Rules-Requires-Root: no.
  * Declare compliance with Debian Policy 4.2.1.
  * Fix python-module.mk build-dependency resolving for python/python3
    to include dh-python (independent since python3 3.6.5~rc1-1).
  * Relax lintian override to cover recent trailing note.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 23 Sep 2018 13:04:24 +0200

=== debian/control ===
Source: cdbs
Section: devel
Priority: optional
Maintainer: build-common team <team+build-common@tracker.debian.org>
Build-Depends-Indep: debhelper,
 dh-buildinfo,
 autoconf,
 fakeroot,
 python-dev,
 python-all-dev,
 python3-all-dev,
 pypy-dev,
 dh-python,
 ant,
 default-jdk-headless | default-jdk,
 sharutils,
 lzma
Uploaders: Jonas Smedegaard <dr@jones.dk>,
 Marc Dequènes (Duck) <Duck@DuckCorp.org>,
 Rémi Thebault (RTbo) <remi.thebault@gmail.com>,
 Vasudev Kamath <kamathvasudev@gmail.com>
Standards-Version: 4.2.1
Vcs-Git: https://salsa.debian.org/build-common-team/cdbs.git
Vcs-Browser: https://salsa.debian.org/build-common-team/cdbs
Rules-Requires-Root: no

Package: cdbs
Architecture: all
Multi-Arch: foreign
Recommends: autotools-dev
Suggests: devscripts
Description: common build system for Debian packages
 This package contains the Common Debian Build System, an abstract build
 system based on Makefile inheritance which is completely extensible and
 overridable.  In other words, CDBS provides a sane set of default rules
 upon which packages can build; any or all rules may be overridden as
 needed.

## cdbs 0.4.158ubuntu1

=== debian/changelog ===
cdbs (0.4.158ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - 1/class/gnome.mk.in: Call dh_translations.
    - 1/rules/debhelper.mk.in: Call dh_scour.
    - debian/control: Depend on dh_translations and scour
    - Build-Depend on scour for build tests.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 14 Jan 2019 14:07:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: cdbs
 Section: devel
 Priority: optional
-Maintainer: build-common team <team+build-common@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: build-common team <team+build-common@tracker.debian.org>
 Build-Depends-Indep: debhelper,
  dh-buildinfo,
  autoconf,
@@ -9,6 +10,7 @@
  python-dev,
  python-all-dev,
  python3-all-dev,
+ scour <!nocheck>,
  pypy-dev,
  dh-python,
  ant,
@@ -27,6 +29,7 @@
 Package: cdbs
 Architecture: all
 Multi-Arch: foreign
+Depends: dh-translations, scour
 Recommends: autotools-dev
 Suggests: devscripts
 Description: common build system for Debian packages
